Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.config
Class ConfigKey

    java.lang.Object
      |
      +--com.autonomy.config.ConfigEntry
            |
            +--com.autonomy.config.ConfigKey

public class ConfigKey
extends ConfigEntry

This is a Key-Value pair of config entries.

Field Summary

Fields inherited from class com.autonomy.config.ConfigEntry
`BEGIN_CLOSE, BEGIN_OPEN, COMMENT_END, COMMENT_START, CRLF, END_CLOSE, END_OPEN, IS_FILE, IS_KEY, IS_SECTION, IS_UNKNOWN, KEY_VALUE_SEPARATOR, m_nType, USE_END_TAG`

Constructor Summary
`ConfigKey(java.lang.String sKey, java.lang.String sValue)` Construct a config key from a name value pair

Method Summary
`void` | `addToSection(com.autonomy.config.ConfigSection section)` Add this key to a section
`void` | `display()` Writes this key to standard out, as it would appear in the file
`java.lang.String` | `toString()` Returns this config key as a string as it would appear in the file

Methods inherited from class com.autonomy.config.ConfigEntry
`getComments, getName, getOriginalName, getValue, setComments, stringIsValidName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigKey

    public ConfigKey(java.lang.String sKey,
                     java.lang.String sValue)

  Construct a config key from a name value pair

Parameters:
  `sKey` - The name. Null values will be converted to the string "null"
  `sValue` - The name. Null values will be converted to the string "null"

Method Detail

### addToSection

    public void addToSection(com.autonomy.config.ConfigSection section)

  Add this key to a section

  Parameters:
    `section` - Should be a valid ConfigSection

### toString

    public java.lang.String toString()

  Returns this config key as a string as it would appear in the file

  Overrides:
    `toString` in class `java.lang.Object`

### display

    public void display()

  Writes this key to standard out, as it would appear in the file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD